gLevelValues.exitCastleLevel = 26
gLevelValues.exitCastleArea = 1
gLevelValues.exitCastleWarpNode = 69

gBehaviorValues.KingBobombFVel = 3.0
gBehaviorValues.KingBobombYawVel = 256
gBehaviorValues.KingBobombHealth = 3
gBehaviorValues.KingWhompHealth = 3
gBehaviorValues.KoopaThiAgility = 7.5
gBehaviorValues.KoopaBobAgility = 4.0

gBehaviorValues.MipsStar1Requirement = 15
gBehaviorValues.MipsStar2Requirement = 100
gBehaviorValues.ToadStar1Requirement = 25
gBehaviorValues.ToadStar2Requirement = 25
gBehaviorValues.ToadStar3Requirement = 25

gLevelValues.pssSlideStarTime = 720
gLevelValues.metalCapDuration = 600
gLevelValues.wingCapDuration = 1800
gLevelValues.vanishCapDuration = 600
gLevelValues.metalCapDurationCotmc = 1
gLevelValues.wingCapDurationTotwc = 1
gLevelValues.vanishCapDurationVcutm = 1


hook_event(HOOK_MARIO_UPDATE, function(m) m.numLives = 10 end)

--NoD Code
local once = true 
hook_event(HOOK_MARIO_UPDATE,
function(m)
    if m.playerIndex ~= 0 then return end
    if once then
        m.numLives = 10
        once = true
    end
end)

gLevelValues.hudCapTimer = 1
gLevelValues.mushroom1UpHeal = 1
gServerSettings.stayInLevelAfterStar = false

gBehaviorValues.trajectories.PlatformRrTrajectory = get_trajectory("rr_seg7_trajectory_0702EC3C_RM2C_path")
gBehaviorValues.trajectories.PlatformRr2Trajectory = get_trajectory("rr_seg7_trajectory_0702ECC0_RM2C_path")
gBehaviorValues.trajectories.PlatformRr3Trajectory = get_trajectory("rr_seg7_trajectory_0702ED9C_RM2C_path")
gBehaviorValues.trajectories.PlatformRr4Trajectory = get_trajectory("rr_seg7_trajectory_0702EEE0_RM2C_path")
gBehaviorValues.trajectories.PlatformCcmTrajectory = get_trajectory("ccm_seg7_trajectory_0701669C_RM2C_path")
gBehaviorValues.trajectories.PlatformBitfsTrajectory = get_trajectory("bitfs_seg7_trajectory_070159AC_RM2C_path")
gBehaviorValues.trajectories.PlatformHmcTrajectory = get_trajectory("hmc_seg7_trajectory_0702B86C_RM2C_path")
gBehaviorValues.trajectories.PlatformLllTrajectory = get_trajectory("lll_seg7_trajectory_0702856C_RM2C_path")
gBehaviorValues.trajectories.PlatformLll2Trajectory = get_trajectory("lll_seg7_trajectory_07028660_RM2C_path")
gBehaviorValues.trajectories.RacingPenguinTrajectory = get_trajectory("ccm_seg7_trajectory_penguin_race_RM2C_path")
gBehaviorValues.trajectories.KoopaBobTrajectory = get_trajectory('KoopaBoB_path')
gBehaviorValues.trajectories.KoopaThiTrajectory = get_trajectory('KoopaTHI_path')

function custom_warp(m)      -- BlackJoystick Code
    local warp = obj_get_first_with_behavior_id(id_bhvFadingWarp)
    if m.numStars < 69 then -- 69 star check
        obj_mark_for_deletion(warp)
    end
end

-- hook the behavior
hook_event(HOOK_MARIO_UPDATE, custom_warp)
